// Full Astro Configuration API Documentation:
// https://docs.astro.build/reference/configuration-reference
// @type-check enabled!
// VSCode and other TypeScript-enabled text editors will provide auto-completion,
// helpful tooltips, and warnings if your exported object is invalid.
// You can disable this by removing "@ts-check" and `@type` comments below.
import { defineConfig } from 'astro/config'; // @ts-check

import sitemap from "@astrojs/sitemap";
import mdx from "@astrojs/mdx";
import robots from "astro-robots-txt";

// https://astro.build/config
export default defineConfig({
  site: "https://www.ruthenic.com",
  integrations: [sitemap(), mdx(), robots({
    policy: [{
      userAgent: "*",
      allow: "/",
      disallow: "/newtab"
    }]
  })]
});